List Accounts
curl --request GET \
--url https://api.rolla.xyz/api/v1/external/accounts \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rolla.xyz/api/v1/external/accounts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rolla.xyz/api/v1/external/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Accounts retrieved successfully",
"success": true,
"data": {
"accounts": [
{
"id": "eec3cbed-79d8-4370-87a0-b6be9e287337",
"name": "Beta Logistics LLC",
"email": "ops@betalogistics.com",
"entityType": "business",
"applicationId": "fbb45236-881a-4c58-8954-22759499eab4",
"applicationStatus": "approved",
"currentStep": 6,
"isComplete": true,
"createdAt": "2026-06-12T23:28:05.373Z"
},
{
"id": "b6075be0-f1d0-451f-a468-3e94563101d2",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"entityType": "individual",
"applicationId": "f436daf8-146b-4949-bf28-9b36440085a4",
"applicationStatus": "submitted",
"currentStep": 3,
"isComplete": true,
"createdAt": "2026-06-12T23:30:43.040Z"
}
],
"page": 1,
"pageSize": 20,
"totalCount": 2,
"totalPages": 1,
"hasMore": false
}
}{
"status": 400,
"message": "Validation failed",
"errors": [
{
"path": [
"pageSize"
],
"message": "Too big: expected number to be <=100"
}
]
}{
"status": 400,
"message": "Validation failed",
"code": "ACCOUNT_RESTRICTED",
"errors": [
{
"path": [
"amount"
],
"message": "amount must be a whole number of smallest currency units (e.g. cents)"
}
]
}Applications
List Accounts
Lists all accounts owned by the same user as your API key’s business, including the originating account, with their application status.
GET
/
accounts
List Accounts
Lists every account owned by the same user as your API key’s business — including the account your API key belongs to — with each application’s status.
Example Request
curl -X GET "https://api.rolla.xyz/api/v1/external/accounts?page=1&pageSize=20" \
-H "X-API-Key: your_api_key_here"
Example Response
{
"status": 200,
"message": "Accounts retrieved successfully",
"success": true,
"data": {
"accounts": [
{
"id": "eec3cbed-79d8-4370-87a0-b6be9e287337",
"name": "Beta Logistics LLC",
"email": "ops@betalogistics.com",
"entityType": "business",
"applicationId": "fbb45236-881a-4c58-8954-22759499eab4",
"applicationStatus": "approved",
"currentStep": 6,
"isComplete": true,
"createdAt": "2026-06-12T23:28:05.373Z"
},
{
"id": "b6075be0-f1d0-451f-a468-3e94563101d2",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"entityType": "individual",
"applicationId": "f436daf8-146b-4949-bf28-9b36440085a4",
"applicationStatus": "submitted",
"currentStep": 3,
"isComplete": true,
"createdAt": "2026-06-12T23:30:43.040Z"
}
],
"page": 1,
"pageSize": 20,
"totalCount": 2,
"totalPages": 1,
"hasMore": false
}
}
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number (default 1) |
pageSize | integer | No | Results per page (default 20, max 100) |
entityType | string | No | Filter by business or individual |
status | string | No | Filter by application status (draft, submitted, approved, rejected, changes_requested) |
Authorizations
Your Rolla API key
Query Parameters
Page number
Required range:
x >= 1Results per page
Required range:
1 <= x <= 100Only return accounts of this type
Available options:
business, individual Only return accounts whose application is in this status
Available options:
draft, submitted, approved, rejected, changes_requested Response
Accounts retrieved successfully